require_relative 'generate_cookies.rb'
require_relative 'destroy_cookies.rb'
class ActionSwitch
	def self.generate(type)
		begin
			GenerateCookies.send(type)
		rescue
			GenerateCookies.help
		end
	end

	def self.destroy(type)
		DestroyCookies.destroy
	end

	def self.help
		#puts "Available actions at this time are generate and distroy"
		#puts "    generate:footer"
		#puts "    destroy"
	end

	singleton_class.send(:alias_method, :g, :generate)
	singleton_class.send(:alias_method, :d, :destroy)
end
