require_relative 'action_switch.rb'
ARGV.each do|arg|
	action, type = arg.gsub(/(\w+):(\w+)/, '\1'), arg.gsub(/(\w+):(\w+)/, '\2')
	begin
		ActionSwitch.send(action, type || nil)
	rescue
		ActionSwitch.help
	end
end.empty? and begin
	ActionSwitch.help
end

def bamboolab_cookies(*args)
	if args.length != 0
		button = args[0][:button] || "OK"
		text = args[0][:text] || "Cookies help us deliver our services. By using our services, you agree to our use of cookies."
		more_text = args[0][:more_text] || "Learn more"
		more_link = args[0][:more_link] || "http://www.aboutcookies.org/"
	else
		button = "OK"
		text = "Cookies help us deliver our services. By using our services, you agree to our use of cookies."
		more_text = "Learn more"
		more_link = "http://www.aboutcookies.org/"
	end
	div ="<script>
	bamboolabCookies({button: \"#{button}\", text: \"#{text}\", more: [ \"#{more_text}\" , \"#{more_link}\"] });
</script>"
end

#until this is not gem use this in application controller require_relative '../../bamboolab_cookies/bamboolab_cookies.rb'

