class GenerateCookies
  def self.run(js_file, css_file)
    current_folder = File.dirname(__FILE__)
    js_code = File.open("#{current_folder}/js/#{js_file}.js", 'r') { |f| f.read }
    File.open("app/assets/javascripts/bamboolab_cookies.js", "w+") {|f| f.write(js_code) }

    scss_code = File.open("#{current_folder}/css/#{css_file}.scss", 'r') { |f| f.read }
    File.open("app/assets/stylesheets/bamboolab_cookies.scss", "w+") {|f| f.write(scss_code) }

    puts "bamboolab_cookies.js and bamboolab_cookies.scss generated in app/assets/ \n\nAdd:\n\n  <%= raw bamboolab_cookies %>\n\nto your view file that shows cookies and\n\n  //= require bamboolab_cookies.js\n\nto your app/assets/javascript/ \n\n"
  end

  def self.footer
    run("footer", "footer")
  end

=begin
  def self.new_files
    run("new_js", "new_css")
  end
=end 

  def self.help
    #		puts "Only available generator at this time is:"
    #		puts "    generate:footer"
  end
end


