class DestroyCookies
	def self.run(name)
		folder = name.gsub(/(\w+).(\w+)/, '\2') == "js" ? "javascripts" : "stylesheets"

		begin
			File.delete("app/assets/#{folder}/#{name}")
			puts "#{name} removed!"
			return true
		rescue
			puts "Couldn't find file #{name}!"
			return false
		end
	end

	def self.destroy
		js_deleted = run("bamboolab_cookies.js")
		css_deleted = run("bamboolab_cookies.scss")
		if js_deleted and css_deleted
			puts "Don't forget to remove:\n\n  <%= raw bamboolab_cookies %>\n\nfrom your views folder.\n\n"
		end
	end
end
